[gentoo-user-de] emerge --update --deep --newuse world -av Versager (x11-libs/gtk+-2.20.1-r1)

18/08/2010 - 18:10 von Pablo Alemán | Report spam
Hallo Liste:

nach ein "emerge --update --deep --newuse world -av"
bekomme ich die Ausgabe:

" These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] x11-libs/gtk+-2.20.1-r1 [2.18.9] USE="cups jpeg tiff (-aqua) -
debug -doc (-introspection) -jpeg2k -test -vim-syntax -xinerama" 0 kB
[ebuild U ] dev-libs/libunique-1.1.6 [1.0.8] USE="dbus -debug -doc (-
introspection) -test" 0 kB
[ebuild U ] gnome-base/libgnomecanvas-2.30.1 [2.26.0] USE="-debug -doc -
glade% -test" 0 kB
[ebuild U ] x11-libs/libwnck-2.30.2 [2.28.0] USE="startup-notification -
doc" 0 kB
[ebuild U ] x11-libs/gtksourceview-2.10.4 [2.8.2] USE="-doc -glade% -
test%" 0 kB
...


...
[ebuild U ] gnome-extra/deskbar-applet-2.30.1 [2.28.0] USE="spell -eds -
test%" 0 kB
[ebuild U ] gnome-extra/hamster-applet-2.30.2-r1 [2.28.2] USE="libnotify -
eds" 0 kB
[ebuild N ] sys-fs/udisks-1.0.1-r1 USE="nls -bash-completion -debug -doc
-remote-access" 0 kB
[uninstall ] sys-apps/devicekit-disks-009 USE="-bash-completion -debug -
doc"
[blocks b ] sys-apps/devicekit-disks ("sys-apps/devicekit-disks" is
blocking sys-fs/udisks-1.0.1-r1)
[ebuild U ] sys-apps/gnome-disk-utility-2.30.1 [2.28.1] USE="-avahi% -doc
-fat% -nautilus* -remote-access%" 0 kB
[ebuild U ] gnome-base/gvfs-1.6.3 [1.4.3-r1] USE="bluetooth cdda gdu gnome
hal http udev -archive -avahi -bash-completion -doc -fuse -gnome-keyring -
gphoto2 -iphone% -samba" 0 kB
[ebuild U ] gnome-base/gnome-2.30.2 [2.28.2] USE="cdr cups dvdr ldap
policykit -accessibility -mono" 0 kB

Total: 320 packages (317 upgrades, 3 new, 1 uninstall), Size of downloads:
3,911 kB
Conflict: 1 block

Would you like to merge these packages? [Yes/No] "

mit Enter wird gestarte,


" >>> Emerging (1 of 320) x11-libs/gtk+-2.20.1-r1
* gtk+-2.20.1.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...
[ ok ]
* checking ebuild checksums ;-) ...
[ ok ]
* checking auxfile checksums ;-) ...
[ ok ]
* checking miscfile checksums ;-) ...
[ ok ]
* CPV: x11-libs/gtk+-2.20.1-r1
* REPO: gentoo
* USE: cups elibc_glibc jpeg kernel_linux tiff userland_GNU x86



Unpacking source... "








aber nach einer virtel Stunde, immer noch bei dem ersten Paket kommt die
Meldung

" /bin/sh ../../libtool --tagÌ --mode=link i686-pc-linux-gnu-gcc -
DGDK_PIXBUF_DISABLE_DEPRECATED -O2 -march=i686 -pipe -Wall -export-dynamic -
Wl,-O1 -Wl,--as-needed -o gtk-demo appwindow.o assistant.o builder.o
button_box.o changedisplay.o clipboard.o colorsel.o combobox.o dialog.o
drawingarea.o editable_cells.o entry_buffer.o entry_completion.o expander.o
hypertext.o iconview.o iconview_edit.o images.o infobar.o links.o list_store.o
menus.o offscreen_window.o offscreen_window2.o panes.o pickers.o pixbufs.o
printing.o rotated_text.o search_entry.o sizegroup.o spinner.o stock_browser.o
textview.o textscroll.o toolpalette.o tree_store.o ui_manager.o main.o
../../gdk-pixbuf/libgdk_pixbuf-2.0.la ../../gdk/libgdk-x11-2.0.la
../../gtk/libgtk-x11-2.0.la -pthread -lpangocairo-1.0 -lX11 -lXcomposite -
lXdamage -lXfixes -latk-1.0 -lcairo -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -
lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -
lglib-2.0 -lm
libtool: link: i686-pc-linux-gnu-gcc -DGDK_PIXBUF_DISABLE_DEPRECATED -O2 -
march=i686 -pipe -Wall -Wl,-O1 -o .libs/gtk-demo appwindow.o assistant.o
builder.o button_box.o changedisplay.o clipboard.o colorsel.o combobox.o
dialog.o drawingarea.o editable_cells.o entry_buffer.o entry_completion.o
expander.o hypertext.o iconview.o iconview_edit.o images.o infobar.o links.o
list_store.o menus.o offscreen_window.o offscreen_window2.o panes.o pickers.o
pixbufs.o printing.o rotated_text.o search_entry.o sizegroup.o spinner.o
stock_browser.o textview.o textscroll.o toolpalette.o tree_store.o
ui_manager.o main.o -pthread -Wl,--export-dynamic -Wl,--as-needed ../../gdk-
pixbuf/.libs/libgdk_pixbuf-2.0.so ../../gdk/.libs/libgdk-x11-2.0.so
../../gtk/.libs/libgtk-x11-2.0.so /var/tmp/portage/x11-libs/gtk+-2.20.1-
r1/work/gtk+-2.20.1/gdk/.libs/libgdk-x11-2.0.so /usr/lib/libXi.so
/usr/lib/libXrandr.so /usr/lib/libXcursor.so /var/tmp/portage/x11-
libs/gtk+-2.20.1-r1/work/gtk+-2.20.1/gdk-pixbuf/.libs/libgdk_pixbuf-2.0.so
/usr/lib/libpangocairo-1.0.so /usr/lib/libXcomposite.so /usr/lib/libXext.so
/usr/lib/libXdamage.so /usr/lib/libXfixes.so /usr/lib/libatk-1.0.so
/usr/lib/libcairo.so /usr/lib/libpixman-1.so /usr/lib/libpng14.so
/usr/lib/libxcb-render-util.so /usr/lib/libxcb-render.so
/usr/lib/libXrender.so /usr/lib/libX11.so /usr/lib/libxcb.so
/usr/lib/libXau.so /usr/lib/libXdmcp.so /usr/lib/libgio-2.0.so -lresolv
/usr/lib/libpangoft2-1.0.so /usr/lib/libpango-1.0.so /usr/lib/libfontconfig.so
/usr/lib/libfreetype.so -lz /usr/lib/libexpat.so /usr/lib/libgobject-2.0.so
/usr/lib/libgmodule-2.0.so -ldl /usr/lib/libgthread-2.0.so -lpthread -lrt
/usr/lib/libglib-2.0.so -lm -pthread
/usr/lib/gcc/i686-pc-linux-gnu/4.4.3/../../../../i686-pc-linux-
gnu/bin/ld:toolpalette.o: file format not recognized; treating as linker script
/usr/lib/gcc/i686-pc-linux-gnu/4.4.3/../../../../i686-pc-linux-
gnu/bin/ld:toolpalette.o:1: syntax error
collect2: ld returned 1 exit status
make[5]: *** [gtk-demo] Fehler 1
make[5]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.20.1-
r1/work/gtk+-2.20.1/demos/gtk-demo'
make[4]: *** [all] Fehler 2
make[4]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.20.1-
r1/work/gtk+-2.20.1/demos/gtk-demo'
make[3]: *** [all-recursive] Fehler 1
make[3]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.20.1-
r1/work/gtk+-2.20.1/demos'
make[2]: *** [all] Fehler 2
make[2]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.20.1-
r1/work/gtk+-2.20.1/demos'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.20.1-
r1/work/gtk+-2.20.1'
make: *** [all] Fehler 2
* ERROR: x11-libs/gtk+-2.20.1-r1 failed:
* emake failed
*
* Call stack:
* ebuild.sh, line 54: Called src_compile
* environment, line 3087: Called _eapi2_src_compile
* ebuild.sh, line 646: Called die
* The specific snippet of code:
* emake || die "emake failed"
*
* If you need support, post the output of 'emerge --info =x11-
libs/gtk+-2.20.1-r1',
* the complete build log and the output of 'emerge -pqv =x11-
libs/gtk+-2.20.1-r1'.
* The complete build log is located at '/var/tmp/portage/x11-
libs/gtk+-2.20.1-r1/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/x11-
libs/gtk+-2.20.1-r1/temp/environment'.
* S: '/var/tmp/portage/x11-libs/gtk+-2.20.1-r1/work/gtk+-2.20.1'




Failed to emerge x11-libs/gtk+-2.20.1-r1, Log file:

'/var/tmp/portage/x11-libs/gtk+-2.20.1-r1/temp/build.log'







* Messages for package x11-libs/gtk+-2.20.1-r1:

* ERROR: x11-libs/gtk+-2.20.1-r1 failed:
* emake failed
*
* Call stack:
* ebuild.sh, line 54: Called src_compile
* environment, line 3087: Called _eapi2_src_compile
* ebuild.sh, line 646: Called die
* The specific snippet of code:
* emake || die "emake failed"
*
* If you need support, post the output of 'emerge --info =x11-
libs/gtk+-2.20.1-r1',
* the complete build log and the output of 'emerge -pqv =x11-
libs/gtk+-2.20.1-r1'.
* The complete build log is located at '/var/tmp/portage/x11-
libs/gtk+-2.20.1-r1/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/x11-
libs/gtk+-2.20.1-r1/temp/environment'.
* S: '/var/tmp/portage/x11-libs/gtk+-2.20.1-r1/work/gtk+-2.20.1'

* IMPORTANT: 1 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

gentoopa pablo # "


Hier meine emerge --info
"" Portage 2.1.8.3 (default/linux/x86/10.0/desktop, gcc-4.4.3, glibc-2.11.2-
r0, 2.6.34-gentoo-r1 i686)
=System uname: Linux-2.6.34-gentoo-r1-i686-Intel-R-_Pentium-R-_4_CPU_3.00GHz-
with-gentoo-1.12.13
Timestamp of tree: Wed, 18 Aug 2010 13:30:01 +0000
ccache version 2.4 [enabled]
app-shells/bash: 4.0_p37
dev-java/java-config: 2.1.11
dev-lang/python: 2.6.5-r3, 3.1.2-r4
dev-util/ccache: 2.4-r7
dev-util/cmake: 2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox: 1.6-r2
sys-devel/autoconf: 2.13, 2.65
sys-devel/automake: 1.8.5-r3, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils: 2.20.1-r1
sys-devel/gcc: 4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool: 2.2.6b
virtual/os-headers: 2.6.30-r1
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* @EULA AdobeFlash-10.1"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/
/etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/
/etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-
rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests ccache distlocks fixpackages news parallel-fetch
protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="Please upgrade to http://de-mirror.org/distro/gentoo/"
LANG="de_DE.UTF-8"
LC_ALL="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --
compress --force --whole-file --delete --stats --timeout0 --
exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="32bit X a52 aac acl acpi alsa berkdb bluetooth branding bzip2 cairo cdda
cddax cddb cdr cli consolekit cracklib crypt cups cxx dbus device-mapper dri
dts dvd dvdr emboss encode exif fam firefox flac fortran gd gdbm gdu gif gnome
gnutls gpm gtk gtk2-perl hal hunspell iconv ipv6 java java6 javascript jpeg
kde kdrive lcms ldap libnotify mad mikmod mng modules mp3 mp4 mpeg mudflap
mysql ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl php
png policykit ppds pppd python qt3support qt4 readline reflection sdl semantic-
desktop session slang slp spell spl sql sqlite ssl startup-notification svg
sysfs tcpd threads tiff tk truetype unicode usb vorbis webkit x264 x86 xcb xml
xorg xulrunner xv xvid xvmc zeroconf zlib" ALSA_CARDS="ens1371"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file
hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug
rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic
authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm
authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache
cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter
file_cache filter headers include info log_config logio mem_cache mime mime_magic
negotiation rewrite setenvif speling status unique_id userdir usertrack
vhost_alias" CAMERAS="canon sony" ELIBC="glibc" INPUT_DEVICES="evdev
synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780
lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" RUBY_TARGETS="ruby18"
USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan
length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq
steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK,
PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS "

Nach 5 Versuche mit = Ergebniss bitte ich um Hilfe.

Vielen Dank



Pablo Alemán
 

Lesen sie die antworten

#1 Alex Schuster
18/08/2010 - 19:10 | Warnen spam
Pablo Alemán schreibt:

/usr/lib/gcc/i686-pc-linux-gnu/4.4.3/../../../../i686-pc-linux-
gnu/bin/ld:toolpalette.o: file format not recognized; treating as
linker script
/usr/lib/gcc/i686-pc-linux-gnu/4.4.3/../../../../i686-pc-linux-
gnu/bin/ld:toolpalette.o:1: syntax error
collect2: ld returned 1 exit status
make[5]: *** [gtk-demo] Fehler 1
make[5]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.20.1-
r1/work/gtk+-2.20.1/demos/gtk-demo'


[...]

Nach 5 Versuche mit = Ergebniss bitte ich um Hilfe.



Naja, mehr als höchstens zweimal braucht man da nicht zu probieren, wenn's
nicht geht dann geht's halt nicht :)

Aber googeln nach "file format not recognized; treating as linker script"
findet http://bugs.gentoo.org/79519 . Ich vermute mal, mit
'FEATURES=-ccache emerge -1 x11-libs/gtk+' klappt es.

Wonko

Ähnliche fragen